#include "Board.h"

Board::Board(Graphics& graphics):gfx(graphics)
{
	
}

void Board::DrawCell(Location& loc,Color c)
{
	gfx.DrawRectDim(loc.x * dimension, loc.y * dimension, dimension, dimension, c);
}

void Board::DrawPlanetTile(Location& loc, Color c)
{
	gfx.DrawRectDim(loc.x * 50, loc.y * 50, 100, 100, c);
}

int Board::get_width()
{
	return width;
}

int Board::get_height()
{
	return height;
}

int Board::get_dim()
{
	return dimension;
}