#pragma once

#include "Graphics.h"
#include "Location.h" 

class Board
{
public:
	Board(Graphics& graphics);
	void DrawCell(Location& loc, Color c);
	void DrawPlanetTile(Location& loc, Color c);
	int get_width();
	int get_height();
	int get_dim();
private:
	int dimension = 50;
	int height = 800;
	int width = 1551;
	Graphics& gfx;
};