#pragma once
#include "Location.h" 
#include <random>
#include "Planet.h"
#include "Constants.h"

struct Sector
{
public:
	Location loc;
	bool star;
	Planet planet;
};

class Galaxy
{
public:
	Galaxy(std::mt19937& rng);
	Sector get_sector(int i);
private:
	Sector sector[GALAXY_SIZE];
};
