#pragma once
#include "Person.h"
#include "Location.h"

class Ship
{
public:
	Ship();
	Ship(Location location);
	int get_engineering();
	int get_invasion_pts();
	int get_population();
	Location get_loc();
	int get_health();
	int get_moves();
	int get_food();
	int get_uranium();
	int get_antimatter();
	int get_darkmatter();
	int get_antimatter_bombs();
	int get_nuclear_missiles();
	int get_warp_engines();
	bool has_attacked();
	bool has_invaded();
	Person* get_people();
	void set_loc(Location l);
private:
	Location loc;
	int health;
	int moves;
	int food;
	int uranium;
	int antimatter;
	int dark_matter;
	int antimatter_bombs;
	int nuclear_missiles;
	int warp_engines;
	bool attacked;
	bool invaded;
	Person people[3];
};